%define name	source-highlight
%define	version 3.1.9

%define major 4
%define libname %mklibname %name %major
%define develname %mklibname -d %name
%define staticname %mklibname -s -d %name
Summary: 	Produces a document with syntax highlighting
Name: 		%{name}
Version: 	%{version}
Release:	%mkrel 1
Group: 		Development/Other
License: 	GPLv3+
Source: 	ftp://ftp.gnu.org/gnu/src-highlite/%{name}-%{version}.tar.xz
Patch1:		0001-Add-support-for-YAML.patch
Patch2:		0002-Add-support-for-C-14-digit-separators.patch
Patch3:		0003-Remove-throw-specifications.patch
URL: 		http://www.gnu.org/software/src-highlite/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes:	java2html
Obsoletes:	cpp2html
Provides:	java2html
Provides:	cpp2html
BuildRequires:	bison 
BuildRequires:  flex
BuildRequires:  boost-devel
BuildRequires:	ctags help2man
Requires:	ctags help2man

%description
GNU Source-highlight produces a document with syntax highlighting
when given a source file. It handles many languages, e.g., Java,
C/C++, Prolog, Perl, PHP3, Python, Flex, HTML, and other formats,
e.g., ChangeLog and log files, as source languages and HTML, XHTML,
DocBook, ANSI color escapes, LaTeX, and Texinfo as output formats.
Input and output formats can be specified with a regular expression-
oriented syntax.

%package -n %libname
Group: System/Libraries
Summary:Produces a document with syntax highlighting

%description -n %libname
GNU Source-highlight produces a document with syntax highlighting
when given a source file. It handles many languages, e.g., Java,
C/C++, Prolog, Perl, PHP3, Python, Flex, HTML, and other formats,
e.g., ChangeLog and log files, as source languages and HTML, XHTML,
DocBook, ANSI color escapes, LaTeX, and Texinfo as output formats.
Input and output formats can be specified with a regular expression-
oriented syntax.

%package -n %develname
Group: Development/Libraries
Summary:Produces a document with syntax highlighting
Provides: lib%name-devel = %version-%release
Requires: %libname = %version-%release

%description -n %develname
GNU Source-highlight produces a document with syntax highlighting
when given a source file. It handles many languages, e.g., Java,
C/C++, Prolog, Perl, PHP3, Python, Flex, HTML, and other formats,
e.g., ChangeLog and log files, as source languages and HTML, XHTML,
DocBook, ANSI color escapes, LaTeX, and Texinfo as output formats.
Input and output formats can be specified with a regular expression-
oriented syntax.

%package -n %staticname
Group: Development/Libraries
Summary:Produces a document with syntax highlighting
Provides: lib%name-static-devel = %version-%release
Requires: %develname = %version-%release

%description -n %staticname
GNU Source-highlight produces a document with syntax highlighting
when given a source file. It handles many languages, e.g., Java,
C/C++, Prolog, Perl, PHP3, Python, Flex, HTML, and other formats,
e.g., ChangeLog and log files, as source languages and HTML, XHTML,
DocBook, ANSI color escapes, LaTeX, and Texinfo as output formats.
Input and output formats can be specified with a regular expression-
oriented syntax.

%prep
%setup -q
%apply_patches

%build
%configure2_5x --disable-dependency-tracking \
	--with-boost-libdir=%_libdir
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

rm -fr $RPM_BUILD_ROOT%{_datadir}/doc/
rm -f $RPM_BUILD_ROOT%_libdir/*.la

%post
%_install_info %{name}.info

%postun
%_remove_install_info %{name}.info

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc AUTHORS README CREDITS NEWS TODO.txt THANKS
%{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man1/*
%{_infodir}/*
%{_sysconfdir}/bash_completion.d/*

%files -n %libname
%defattr (-,root,root)
%_libdir/lib%{name}.so.%{major}*

%files -n %develname
%defattr (-,root,root)
%doc ChangeLog
%_libdir/lib%{name}.so
%_libdir/pkgconfig/*.pc
%_includedir/srchilite/

%files -n %staticname
%defattr (-,root,root)
%_libdir/lib%{name}.a


%changelog
* Sat Sep 11 2021 tex - 3.1.9-1pclos2021
- new version

* Sun Sep 12 2020 tex - 3.1.8-5pclos2021
- rebuild against updates

* Sat Jun 01 2019 tex - 3.1.8-4pclos2019
- rebuild against updates

* Sat Sep 16 2017 bb2 <bb2> - 3.1.8-3pclos2017
- rebuild new boost
